SDA_MASK			EQU	%00100000 ; bit odpowiadajcy wyprowadzeniu SDA "1", pozostae "0"
SDA_MASK_INV	EQU %11011111 ; bit odpowiadajcy wyprowadzeniu SDA "0", pozostae "1"

SCL_MASK			EQU %01000000 ; bit opdowiadajcy wyprowadzeniu SCL "1", pozostae "0"
SCL_MASK_INV	EQU %10111111 ; bit odpowiadajcy wyprowadzeniu SCL "0", pozostae "1"



;
; Makroinstrukcja ustawiajaca lini SDA
;
SET_SDA	MACRO
		LD	A, PBDDR
		AND	A, #SDA_MASK_INV
		LD  PBDDR, A
		MEND
;
; Makroinstrukcja zerujca lini SDA
;
CLR_SDA MACRO
		LD	A, PBDDR
		OR	A, #SDA_MASK
		LD	PBDDR, A
		MEND
;
; Makroinstrukcja ustawiajca lini SCL
;
SET_SCL	MACRO
		LD	A, PBDDR
		AND	A, #SCL_MASK_INV
		LD  PBDDR, A
		MEND
;
; Makroinstrukcja zerujaca lini SCL 
;
CLR_SCL MACRO
		LD	A, PBDDR
		OR	A, #SCL_MASK
		LD	PBDDR, A
		MEND

		