st7/
;******************************************************************************
; LITEcomp - aplikacje
;	Przykad 2
; Obsuga przyciskw moduu LITEcomp
;******************************************************************************

		.NOLIST	
		#INCLUDE "st7flite19.inc"
    .LIST   

LED	EQU	7
S1	EQU	0
S2	EQU	2

;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 								
		SEGMENT 'ram0'				
		
;******************************************************************************
; obszar pamieci programu		
;******************************************************************************		
		WORDS 								
		SEGMENT 'rom' 				
		
;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		RSP												; wyzerowanie wskanika stosu
		CALL	InitPorts 					; wywoanie funkcji inicjujcej porty
main		
		BTJT	PADR, #S1, main1		; jeli przycisk S1 nie jest wcinity to skok do main1
		CALL	LedOn								; w przecywnim razie waczenie diody LED
		BTJF	PADR, #S1, *				; oczekiwanie na zwolnienie przycisku S1
main1
		BTJT 	PADR, #S2, main2		; jeli przycisk S2 nie jest wcinity to skok do main2
		CALL 	LedOff			  			; w przeciwnym razie wyaczenie diody LED
		BTJF	PADR, #S2, *				; oczekiwanie na zwolnienie przycisku S2
main2
		JRA 	main 								; zatrzymanie programu w ptli nieskoczonej
		
;******************************************************************************
; Procedura konfiguracji portw wejcia/wyjcia
;******************************************************************************
InitPorts 								
		LD		A, #%10000000				
		LD		PADDR, A 						; PA7 -> wyjcie, pozostae -> wejcie
		LD		PADR, A							; PA7 -> "1"
		LD		A, #%00000101
		LD		PAOR, A							; PA7 -> otwarty dren, PA0 i PA2 pull-up
		RET
		
;******************************************************************************		
; procedura wczajca diod LED	
;******************************************************************************
LedOn												
		BRES	PADR, #LED
		RET												
		
;******************************************************************************
; procedura wyczajca diod LED
;******************************************************************************
LedOff												
		BSET	PADR, #LED
		RET	
		
		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************