st7/
;******************************************************************************
; LITEcomp - aplikacje
; Przykad 3 
; Przerwania zewntrzne
;******************************************************************************
		.NOLIST	
		#INCLUDE "st7flite19.inc"
    .LIST

LED	EQU	7
S1	EQU	0
S2	EQU	2
		
;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 					
		SEGMENT 'ram0'	
		
;******************************************************************************
; obszar pamieci programu		
;******************************************************************************
		WORDS 					
		SEGMENT 'rom' 

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		CALL	Init
		RIM											; zezwolenie na przerwania
		JRA 	* 								; zatrzymanie programu w ptli nieskoczonej

;******************************************************************************
; Procedura inicjalizacji portw i ukadu przerwa
;******************************************************************************
Init
		LD		A, #%10000000			; PA7-> wyjcie, pozostae -> wejcie
		LD		PADDR, A					 
		LD		A, #%10000000			; dioda LED zgaszona
		LD		PADR, A						 
		LD		A, #%00000101			; PA0 i PA2 mog generowa przerwanie
		LD		PAOR, A						 
		LD		A, #%00000010			; przerwanie EI0 wyzwalane zboczem opadajcym
		LD		EICR, A
		LD		A, #%00000000			; rdem przerwania EI0 jest PA0
		LD		EISR, A
		RET

;******************************************************************************
; Procedura obsugi przerwania zewntrznego EI0
;******************************************************************************
._EI0Vect
		BTJT	PADR, #S1, EI0L1	; jeli S1 nie jest wcinity to skok do EI0L1
		BRES	PADR, #LED				; wczenie diody LED
		LD		A, #%00000010			; PA2 rdem przerwania EI0
		LD		EISR, A						
EI0L1
		BTJT	PADR, #S2, EI0L2	; jeli S2 nie jest wcinity to sok do EI0L2
		BSET	PADR, #LED				; wyaczenie diody LED
		LD		A, #%00000000			; PA0 rdem przerwania EI0
		LD		EISR, A						
EI0L2
		IRET

		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************