   1                     ; C Compiler for ST7 (COSMIC Software)
   2                     ; Generator V4.5.5 - 12 Jan 2006
 780                     ; 21 void wait_10us(void)
 780                     ; 22 {
 781                     	switch	.text
 783                     	xref.b	_wait_10us$L
 784  0000               _wait_10us:
 787                     ; 24 _nop_();
 790  0000 9d            nop
 792                     ; 25 for(i = 0; i < 10; i++);
 794  0001 3fff          	clr	_wait_10us$L-1
 795  0003               L344:
 799  0003 3cff          	inc	_wait_10us$L-1
 802  0005 b6ff          	ld	a,_wait_10us$L-1
 803  0007 a10a          	cp	a,#10
 804  0009 25f8          	jrult	L344
 805                     ; 26 }
 808  000b 81            	ret
 842                     ; 30 void LCD_Delay(unsigned char delay)
 842                     ; 31 {
 843                     	switch	.text
 845                     	xref.b	_LCD_Delay$L
 846  000c               _LCD_Delay:
 848  000c b700          	ld	_LCD_Delay$L,a
 850  000e 2004          	jra	L374
 851  0010               L764:
 852                     ; 33   wait_10us();
 854  0010 adee          	call	_wait_10us
 856                     ; 32 for( ;delay > 0; delay--)
 858  0012 3a00          	dec	_LCD_Delay$L
 859  0014               L374:
 862  0014 3d00          	tnz	_LCD_Delay$L
 863  0016 26f8          	jrne	L764
 864                     ; 34 }
 867  0018 81            	ret
 901                     ; 38 void LCD_OutNibble(unsigned char nibble)
 901                     ; 39 {
 902                     	switch	.text
 904                     	xref.b	_LCD_OutNibble$L
 905  0019               _LCD_OutNibble:
 907  0019 b700          	ld	_LCD_OutNibble$L,a
 909                     ; 40 LCD_PORT &= 0x0F;
 911  001b b600          	ld	a,_PADR
 912  001d a40f          	and	a,#15
 913  001f b700          	ld	_PADR,a
 914                     ; 41 LCD_PORT |= (nibble << 4);
 916  0021 b600          	ld	a,_LCD_OutNibble$L
 917  0023 ae10          	ld	x,#16
 918  0025 42            	mul	x,a
 919  0026 ba00          	or	a,_PADR
 920  0028 b700          	ld	_PADR,a
 921                     ; 42 }
 924  002a 81            	ret
 959                     ; 46 void LCD_Write(unsigned char dataToOut)
 959                     ; 47 {
 960                     	switch	.text
 962                     	xref.b	_LCD_Write$L
 963  002b               _LCD_Write:
 965  002b b700          	ld	_LCD_Write$L,a
 967                     ; 49 LCD_OutNibble(dataToOut >> 4); // zapis starszego pbajtu
 969  002d 4e            	swap	a
 970  002e a40f          	and	a,#15
 971  0030 ade7          	call	_LCD_OutNibble
 973                     ; 50 LCD_PORT |= LCD_EN;
 975  0032 1200          	bset	_PADR,#1
 976                     ; 51 LCD_PORT &= ~LCD_EN;
 978  0034 1300          	bres	_PADR,#1
 979                     ; 53 LCD_OutNibble(dataToOut & 0x0F); // zapis modszego pbajtu
 981  0036 b600          	ld	a,_LCD_Write$L
 982  0038 a40f          	and	a,#15
 983  003a addd          	call	_LCD_OutNibble
 985                     ; 54 LCD_PORT |= LCD_EN;
 987  003c 1200          	bset	_PADR,#1
 988                     ; 55 LCD_PORT &= ~LCD_EN;
 990  003e 1300          	bres	_PADR,#1
 991                     ; 56 }
 994  0040 81            	ret
1030                     ; 61 void LCD_WriteCommand(unsigned char commandToWrite)
1030                     ; 62 {
1031                     	switch	.text
1033                     	xref.b	_LCD_WriteCommand$L
1034  0041               _LCD_WriteCommand:
1036  0041 b700          	ld	_LCD_WriteCommand$L,a
1038                     ; 63 LCD_PORT &= ~LCD_RS; // zapis instrukcji
1040  0043 1700          	bres	_PADR,#3
1041                     ; 64 LCD_Write(commandToWrite); // zapis bajtu
1043  0045 ade4          	call	_LCD_Write
1045                     ; 65 LCD_Delay((commandToWrite>2)?5:165); // jesli instrukcja CLEAR lub HOME to czekaj ok 1,65ms
1047  0047 b600          	ld	a,_LCD_WriteCommand$L
1048  0049 a103          	cp	a,#3
1049  004b 2504          	jrult	L61
1050  004d a605          	ld	a,#5
1051  004f 2002          	jra	L02
1052  0051               L61:
1053  0051 a6a5          	ld	a,#165
1054  0053               L02:
1055  0053 adb7          	call	_LCD_Delay
1057                     ; 67 }
1060  0055 81            	ret
1096                     ; 73 void LCD_WriteData(unsigned char dataToWrite)
1096                     ; 74 {
1097                     	switch	.text
1099                     	xref.b	_LCD_WriteData$L
1100  0056               _LCD_WriteData:
1103                     ; 75 LCD_PORT |= LCD_RS;
1105  0056 1600          	bset	_PADR,#3
1106                     ; 76 LCD_Write(dataToWrite);
1108  0058 add1          	call	_LCD_Write
1110                     ; 77 LCD_Delay(5);
1112  005a a605          	ld	a,#5
1113  005c adae          	call	_LCD_Delay
1115                     ; 78 }
1118  005e 81            	ret
1153                     ; 83 void LCD_WriteText(char * text)
1153                     ; 84 {
1154                     	switch	.text
1156                     	xref.b	_LCD_WriteText$L
1157  005f               _LCD_WriteText:
1159  005f b701          	ld	_LCD_WriteText$L+1,a
1160  0061 bf00          	ld	_LCD_WriteText$L,x
1162  0063 2013          	jra	L706
1163  0065               L506:
1164                     ; 86   LCD_WriteData(*text++);
1166  0065 b600          	ld	a,_LCD_WriteText$L
1167  0067 b700          	ld	c_x,a
1168  0069 be01          	ld	x,_LCD_WriteText$L+1
1169  006b 3c01          	inc	_LCD_WriteText$L+1
1170  006d 2602          	jrne	L62
1171  006f 3c00          	inc	_LCD_WriteText$L
1172  0071               L62:
1173  0071 bf01          	ld	c_x+1,x
1174  0073 92c600        	ld	a,[c_x.w]
1175  0076 adde          	call	_LCD_WriteData
1177  0078               L706:
1178                     ; 85 while(*text)
1180  0078 92c600        	ld	a,[_LCD_WriteText$L.w]
1181  007b 4d            	tnz	a
1182  007c 26e7          	jrne	L506
1183                     ; 87 }
1186  007e 81            	ret
1229                     ; 92 void LCD_GoTo(unsigned char x, unsigned char y)
1229                     ; 93 {
1230                     	switch	.text
1232                     	xref.b	_LCD_GoTo$L
1233  007f               _LCD_GoTo:
1235  007f b701          	ld	_LCD_GoTo$L+1,a
1236  0081 bf00          	ld	_LCD_GoTo$L,x
1238                     ; 94 LCD_WriteCommand(HD44780_DDRAM_SET + x + (64 * y));
1240  0083 ae40          	ld	x,#64
1241  0085 42            	mul	x,a
1242  0086 bb00          	add	a,_LCD_GoTo$L
1243  0088 ab80          	add	a,#128
1244  008a adb5          	call	_LCD_WriteCommand
1246                     ; 95 }
1249  008c 81            	ret
1288                     ; 100 void LCD_Init(void)
1288                     ; 101 {
1289                     	switch	.text
1291                     	xref.b	_LCD_Init$L
1292  008d               _LCD_Init:
1295                     ; 103 PADDR |= 0b11111010; // inicjalizacja portw
1297  008d b601          	ld	a,_PADDR
1298  008f aafa          	or	a,#250
1299  0091 b701          	ld	_PADDR,a
1300                     ; 104 PAOR |= 0b11111010;
1302  0093 b602          	ld	a,_PAOR
1303  0095 aafa          	or	a,#250
1304  0097 b702          	ld	_PAOR,a
1305                     ; 106 LCD_Delay(50); // oczekiwanie na ustabilizowanie napicia zasilania
1307  0099 a632          	ld	a,#50
1308  009b cd000c        	call	_LCD_Delay
1310                     ; 108 for(i = 0; i < 3; i++)
1312  009e 3fff          	clr	_LCD_Init$L-1
1313  00a0               L356:
1314                     ; 111   LCD_OutNibble(0x03); 
1316  00a0 a603          	ld	a,#3
1317  00a2 cd0019        	call	_LCD_OutNibble
1319                     ; 112   LCD_PORT |= LCD_EN;
1321  00a5 1200          	bset	_PADR,#1
1322                     ; 113 	LCD_PORT &= ~LCD_EN;
1324  00a7 1300          	bres	_PADR,#1
1325                     ; 114   LCD_Delay(250);
1327  00a9 a6fa          	ld	a,#250
1328  00ab cd000c        	call	_LCD_Delay
1330                     ; 115   LCD_Delay(250);
1332  00ae a6fa          	ld	a,#250
1333  00b0 cd000c        	call	_LCD_Delay
1335                     ; 108 for(i = 0; i < 3; i++)
1337  00b3 3cff          	inc	_LCD_Init$L-1
1340  00b5 b6ff          	ld	a,_LCD_Init$L-1
1341  00b7 a103          	cp	a,#3
1342  00b9 25e5          	jrult	L356
1343                     ; 119 LCD_OutNibble(0x02);
1345  00bb a602          	ld	a,#2
1346  00bd cd0019        	call	_LCD_OutNibble
1348                     ; 120 LCD_PORT |= LCD_EN;
1350  00c0 1200          	bset	_PADR,#1
1351                     ; 121 LCD_PORT &= ~LCD_EN;
1353  00c2 1300          	bres	_PADR,#1
1354                     ; 122 LCD_Delay(100);
1356  00c4 a664          	ld	a,#100
1357  00c6 cd000c        	call	_LCD_Delay
1359                     ; 124 LCD_WriteCommand(HD44780_FUNCTION_SET | HD44780_FONT5x7 | HD44780_TWO_LINE | HD44780_4_BIT);
1361  00c9 a628          	ld	a,#40
1362  00cb cd0041        	call	_LCD_WriteCommand
1364                     ; 125 LCD_WriteCommand(HD44780_DISPLAY_ONOFF | HD44780_DISPLAY_OFF); 
1366  00ce a608          	ld	a,#8
1367  00d0 cd0041        	call	_LCD_WriteCommand
1369                     ; 126 LCD_WriteCommand(HD44780_CLEAR); 
1371  00d3 a601          	ld	a,#1
1372  00d5 cd0041        	call	_LCD_WriteCommand
1374                     ; 127 LCD_WriteCommand(HD44780_ENTRY_MODE | HD44780_EM_SHIFT_CURSOR | HD44780_EM_INCREMENT);
1376  00d8 a606          	ld	a,#6
1377  00da cd0041        	call	_LCD_WriteCommand
1379                     ; 128 LCD_WriteCommand(HD44780_DISPLAY_ONOFF | HD44780_DISPLAY_ON | HD44780_CURSOR_OFF | HD44780_CURSOR_NOBLINK); 
1381  00dd a60c          	ld	a,#12
1382  00df cd0041        	call	_LCD_WriteCommand
1384                     ; 129 }
1387  00e2 81            	ret
1399                     	xdef	_LCD_Write
1400                     	xdef	_LCD_OutNibble
1401                     	xdef	_wait_10us
1402                     	xdef	_LCD_GoTo
1403                     	xdef	_LCD_WriteText
1404                     	xdef	_LCD_WriteData
1405                     	xdef	_LCD_WriteCommand
1406                     	xdef	_LCD_Delay
1407                     	xdef	_LCD_Init
1408                     	xref.b	c_x
1427                     	end
